package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.List;

public class TLqinfoExample {
    /**
     * t_lqinfo
     */
    protected String orderByClause;

    /**
     * t_lqinfo
     */
    protected boolean distinct;

    /**
     * t_lqinfo
     */
    protected List<Criteria> oredCriteria;

    public TLqinfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_lqinfo 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNull() {
            addCriterion("vdevname is null");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNotNull() {
            addCriterion("vdevname is not null");
            return (Criteria) this;
        }

        public Criteria andVdevnameEqualTo(String value) {
            addCriterion("vdevname =", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotEqualTo(String value) {
            addCriterion("vdevname <>", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThan(String value) {
            addCriterion("vdevname >", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThanOrEqualTo(String value) {
            addCriterion("vdevname >=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThan(String value) {
            addCriterion("vdevname <", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThanOrEqualTo(String value) {
            addCriterion("vdevname <=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLike(String value) {
            addCriterion("vdevname like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotLike(String value) {
            addCriterion("vdevname not like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameIn(List<String> values) {
            addCriterion("vdevname in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotIn(List<String> values) {
            addCriterion("vdevname not in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameBetween(String value1, String value2) {
            addCriterion("vdevname between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotBetween(String value1, String value2) {
            addCriterion("vdevname not between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNull() {
            addCriterion("idevtdh is null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNotNull() {
            addCriterion("idevtdh is not null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhEqualTo(Integer value) {
            addCriterion("idevtdh =", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotEqualTo(Integer value) {
            addCriterion("idevtdh <>", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThan(Integer value) {
            addCriterion("idevtdh >", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("idevtdh >=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThan(Integer value) {
            addCriterion("idevtdh <", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThanOrEqualTo(Integer value) {
            addCriterion("idevtdh <=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIn(List<Integer> values) {
            addCriterion("idevtdh in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotIn(List<Integer> values) {
            addCriterion("idevtdh not in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh not between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNull() {
            addCriterion("sitecode is null");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNotNull() {
            addCriterion("sitecode is not null");
            return (Criteria) this;
        }

        public Criteria andSitecodeEqualTo(String value) {
            addCriterion("sitecode =", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotEqualTo(String value) {
            addCriterion("sitecode <>", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThan(String value) {
            addCriterion("sitecode >", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThanOrEqualTo(String value) {
            addCriterion("sitecode >=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThan(String value) {
            addCriterion("sitecode <", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThanOrEqualTo(String value) {
            addCriterion("sitecode <=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLike(String value) {
            addCriterion("sitecode like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotLike(String value) {
            addCriterion("sitecode not like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeIn(List<String> values) {
            addCriterion("sitecode in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotIn(List<String> values) {
            addCriterion("sitecode not in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeBetween(String value1, String value2) {
            addCriterion("sitecode between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotBetween(String value1, String value2) {
            addCriterion("sitecode not between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vcfcode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vcfcode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vcfcode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vcfcode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vcfcode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vcfcode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vcfcode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vcfcode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vcfcode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vcfcode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vcfcode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vcfcode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vcfcode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vcfcode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andScableIsNull() {
            addCriterion("scable is null");
            return (Criteria) this;
        }

        public Criteria andScableIsNotNull() {
            addCriterion("scable is not null");
            return (Criteria) this;
        }

        public Criteria andScableEqualTo(Integer value) {
            addCriterion("scable =", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableNotEqualTo(Integer value) {
            addCriterion("scable <>", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableGreaterThan(Integer value) {
            addCriterion("scable >", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableGreaterThanOrEqualTo(Integer value) {
            addCriterion("scable >=", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableLessThan(Integer value) {
            addCriterion("scable <", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableLessThanOrEqualTo(Integer value) {
            addCriterion("scable <=", value, "scable");
            return (Criteria) this;
        }

        public Criteria andScableIn(List<Integer> values) {
            addCriterion("scable in", values, "scable");
            return (Criteria) this;
        }

        public Criteria andScableNotIn(List<Integer> values) {
            addCriterion("scable not in", values, "scable");
            return (Criteria) this;
        }

        public Criteria andScableBetween(Integer value1, Integer value2) {
            addCriterion("scable between", value1, value2, "scable");
            return (Criteria) this;
        }

        public Criteria andScableNotBetween(Integer value1, Integer value2) {
            addCriterion("scable not between", value1, value2, "scable");
            return (Criteria) this;
        }

        public Criteria andEcableIsNull() {
            addCriterion("ecable is null");
            return (Criteria) this;
        }

        public Criteria andEcableIsNotNull() {
            addCriterion("ecable is not null");
            return (Criteria) this;
        }

        public Criteria andEcableEqualTo(Integer value) {
            addCriterion("ecable =", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableNotEqualTo(Integer value) {
            addCriterion("ecable <>", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableGreaterThan(Integer value) {
            addCriterion("ecable >", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableGreaterThanOrEqualTo(Integer value) {
            addCriterion("ecable >=", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableLessThan(Integer value) {
            addCriterion("ecable <", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableLessThanOrEqualTo(Integer value) {
            addCriterion("ecable <=", value, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableIn(List<Integer> values) {
            addCriterion("ecable in", values, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableNotIn(List<Integer> values) {
            addCriterion("ecable not in", values, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableBetween(Integer value1, Integer value2) {
            addCriterion("ecable between", value1, value2, "ecable");
            return (Criteria) this;
        }

        public Criteria andEcableNotBetween(Integer value1, Integer value2) {
            addCriterion("ecable not between", value1, value2, "ecable");
            return (Criteria) this;
        }

        public Criteria andRowIsNull() {
            addCriterion("row is null");
            return (Criteria) this;
        }

        public Criteria andRowIsNotNull() {
            addCriterion("row is not null");
            return (Criteria) this;
        }

        public Criteria andRowEqualTo(Integer value) {
            addCriterion("row =", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowNotEqualTo(Integer value) {
            addCriterion("row <>", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowGreaterThan(Integer value) {
            addCriterion("row >", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowGreaterThanOrEqualTo(Integer value) {
            addCriterion("row >=", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowLessThan(Integer value) {
            addCriterion("row <", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowLessThanOrEqualTo(Integer value) {
            addCriterion("row <=", value, "row");
            return (Criteria) this;
        }

        public Criteria andRowIn(List<Integer> values) {
            addCriterion("row in", values, "row");
            return (Criteria) this;
        }

        public Criteria andRowNotIn(List<Integer> values) {
            addCriterion("row not in", values, "row");
            return (Criteria) this;
        }

        public Criteria andRowBetween(Integer value1, Integer value2) {
            addCriterion("row between", value1, value2, "row");
            return (Criteria) this;
        }

        public Criteria andRowNotBetween(Integer value1, Integer value2) {
            addCriterion("row not between", value1, value2, "row");
            return (Criteria) this;
        }

        public Criteria andColIsNull() {
            addCriterion("col is null");
            return (Criteria) this;
        }

        public Criteria andColIsNotNull() {
            addCriterion("col is not null");
            return (Criteria) this;
        }

        public Criteria andColEqualTo(Integer value) {
            addCriterion("col =", value, "col");
            return (Criteria) this;
        }

        public Criteria andColNotEqualTo(Integer value) {
            addCriterion("col <>", value, "col");
            return (Criteria) this;
        }

        public Criteria andColGreaterThan(Integer value) {
            addCriterion("col >", value, "col");
            return (Criteria) this;
        }

        public Criteria andColGreaterThanOrEqualTo(Integer value) {
            addCriterion("col >=", value, "col");
            return (Criteria) this;
        }

        public Criteria andColLessThan(Integer value) {
            addCriterion("col <", value, "col");
            return (Criteria) this;
        }

        public Criteria andColLessThanOrEqualTo(Integer value) {
            addCriterion("col <=", value, "col");
            return (Criteria) this;
        }

        public Criteria andColIn(List<Integer> values) {
            addCriterion("col in", values, "col");
            return (Criteria) this;
        }

        public Criteria andColNotIn(List<Integer> values) {
            addCriterion("col not in", values, "col");
            return (Criteria) this;
        }

        public Criteria andColBetween(Integer value1, Integer value2) {
            addCriterion("col between", value1, value2, "col");
            return (Criteria) this;
        }

        public Criteria andColNotBetween(Integer value1, Integer value2) {
            addCriterion("col not between", value1, value2, "col");
            return (Criteria) this;
        }

        public Criteria andLayerIsNull() {
            addCriterion("layer is null");
            return (Criteria) this;
        }

        public Criteria andLayerIsNotNull() {
            addCriterion("layer is not null");
            return (Criteria) this;
        }

        public Criteria andLayerEqualTo(Integer value) {
            addCriterion("layer =", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerNotEqualTo(Integer value) {
            addCriterion("layer <>", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerGreaterThan(Integer value) {
            addCriterion("layer >", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerGreaterThanOrEqualTo(Integer value) {
            addCriterion("layer >=", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerLessThan(Integer value) {
            addCriterion("layer <", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerLessThanOrEqualTo(Integer value) {
            addCriterion("layer <=", value, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerIn(List<Integer> values) {
            addCriterion("layer in", values, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerNotIn(List<Integer> values) {
            addCriterion("layer not in", values, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerBetween(Integer value1, Integer value2) {
            addCriterion("layer between", value1, value2, "layer");
            return (Criteria) this;
        }

        public Criteria andLayerNotBetween(Integer value1, Integer value2) {
            addCriterion("layer not between", value1, value2, "layer");
            return (Criteria) this;
        }

        public Criteria andIsequenceIsNull() {
            addCriterion("isequence is null");
            return (Criteria) this;
        }

        public Criteria andIsequenceIsNotNull() {
            addCriterion("isequence is not null");
            return (Criteria) this;
        }

        public Criteria andIsequenceEqualTo(Integer value) {
            addCriterion("isequence =", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceNotEqualTo(Integer value) {
            addCriterion("isequence <>", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceGreaterThan(Integer value) {
            addCriterion("isequence >", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceGreaterThanOrEqualTo(Integer value) {
            addCriterion("isequence >=", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceLessThan(Integer value) {
            addCriterion("isequence <", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceLessThanOrEqualTo(Integer value) {
            addCriterion("isequence <=", value, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceIn(List<Integer> values) {
            addCriterion("isequence in", values, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceNotIn(List<Integer> values) {
            addCriterion("isequence not in", values, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceBetween(Integer value1, Integer value2) {
            addCriterion("isequence between", value1, value2, "isequence");
            return (Criteria) this;
        }

        public Criteria andIsequenceNotBetween(Integer value1, Integer value2) {
            addCriterion("isequence not between", value1, value2, "isequence");
            return (Criteria) this;
        }

        public Criteria andIrevflagIsNull() {
            addCriterion("irevflag is null");
            return (Criteria) this;
        }

        public Criteria andIrevflagIsNotNull() {
            addCriterion("irevflag is not null");
            return (Criteria) this;
        }

        public Criteria andIrevflagEqualTo(Integer value) {
            addCriterion("irevflag =", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagNotEqualTo(Integer value) {
            addCriterion("irevflag <>", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagGreaterThan(Integer value) {
            addCriterion("irevflag >", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagGreaterThanOrEqualTo(Integer value) {
            addCriterion("irevflag >=", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagLessThan(Integer value) {
            addCriterion("irevflag <", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagLessThanOrEqualTo(Integer value) {
            addCriterion("irevflag <=", value, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagIn(List<Integer> values) {
            addCriterion("irevflag in", values, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagNotIn(List<Integer> values) {
            addCriterion("irevflag not in", values, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagBetween(Integer value1, Integer value2) {
            addCriterion("irevflag between", value1, value2, "irevflag");
            return (Criteria) this;
        }

        public Criteria andIrevflagNotBetween(Integer value1, Integer value2) {
            addCriterion("irevflag not between", value1, value2, "irevflag");
            return (Criteria) this;
        }

        public Criteria andGrainoilIsNull() {
            addCriterion("grainoil is null");
            return (Criteria) this;
        }

        public Criteria andGrainoilIsNotNull() {
            addCriterion("grainoil is not null");
            return (Criteria) this;
        }

        public Criteria andGrainoilEqualTo(Integer value) {
            addCriterion("grainoil =", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilNotEqualTo(Integer value) {
            addCriterion("grainoil <>", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilGreaterThan(Integer value) {
            addCriterion("grainoil >", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilGreaterThanOrEqualTo(Integer value) {
            addCriterion("grainoil >=", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilLessThan(Integer value) {
            addCriterion("grainoil <", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilLessThanOrEqualTo(Integer value) {
            addCriterion("grainoil <=", value, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilIn(List<Integer> values) {
            addCriterion("grainoil in", values, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilNotIn(List<Integer> values) {
            addCriterion("grainoil not in", values, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilBetween(Integer value1, Integer value2) {
            addCriterion("grainoil between", value1, value2, "grainoil");
            return (Criteria) this;
        }

        public Criteria andGrainoilNotBetween(Integer value1, Integer value2) {
            addCriterion("grainoil not between", value1, value2, "grainoil");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_lqinfo
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_lqinfo 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}